Bug 866268 - system-config-selinux "New" button on the Policy Module tab does nothing
system-config-selinux "New" button on the Policy Module tab does nothing
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: policycoreutils (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-14 20:39 EDT by Matt Kinni
Modified: 2012-12-20 11:28 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 11:28:22 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Kinni 2012-10-14 20:39:30 EDT
Description of problem:
Title pretty much says it all.  On the Policy Module tab in system-config-selinux the "New" button is supposed to open up the sepolgen gui program, at least according to this article I was reading <http://magazine.redhat.com/2008/07/02/writing-policy-for-confined-selinux-users/>.

In Fedora this tool is named selinux-polgengui, and though it is present on my system it doesn't get started by the New button.  Actually nothing happens at all when that button is pressed :/

Version-Release number of selected component (if applicable):
policycoreutils-gui-2.1.11-18.fc17.x86_64

How reproducible:
Always

Steps to Reproduce:
1. start system-config-selinux
2. navigate to Policy Module, press New button
3.
  
Actual results:
nothing happens

Expected results:
selinux-polgengui is launched

Additional info:
Comment 1 Daniel Walsh 2012-10-16 15:14:39 EDT
Fixed in policycoreutils-2.1.12-4.fc17
Comment 2 Fedora Update System 2012-10-24 09:05:06 EDT
policycoreutils-2.1.12-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/policycoreutils-2.1.12-4.fc17
Comment 3 Fedora Update System 2012-10-24 19:57:03 EDT
Package policycoreutils-2.1.12-4.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing policycoreutils-2.1.12-4.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16848/policycoreutils-2.1.12-4.fc17
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-10-31 21:25:46 EDT
Package policycoreutils-2.1.12-5.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing policycoreutils-2.1.12-5.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16848/policycoreutils-2.1.12-5.fc17
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-12-20 11:28:23 EST
policycoreutils-2.1.12-5.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.